Subject: Re: bug#76556: 30.1; configure doesn't find libgmp on macOS

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Feb 2025 19:11:49 +0200

> From: Philipp <[email-masked]>
> Date: Tue, 25 Feb 2025 16:15:20 +0100
> 
> 
> When running configure on macOS with libgmp installed via Homebrew:
> 
> [...]
> checking for gmp.h... no
> checking for gmp/gmp.h... no
> [...]
>   Does Emacs use the GMP library?                         no
> [...]
> 
> I've installed libgmp via Homebrew.  I think to fix this, the configure
> script should either use pkg-config:
> 
> $ pkg-config --cflags --libs gmp
> -I/opt/homebrew/Cellar/gmp/6.3.0/include -L/opt/homebrew/Cellar/gmp/6.3.0/lib -lgmp
> 
> or add /opt/homebrew/include to the include path, and /opt/homebrew/lib
> to the library path.  Using pkg-config seems like the cleaner option.

We could use pkg-config for that, but we must have the falback to the
current code, because some versions of GMP don't install pkg-config
files.  E.g., on my development system I have no gmp.pc in the
pkg-config directory.

Patches welcome.